Zhansong Gao <zhsgao@hotmail.com>
Zhiqiang Liu <liuzhiqiang26@huawei.com>
zsugabubus <zsugabubus@users.noreply.github.com>
+
+# New authors since fuse-3.16.2
+farlongsignal <141166749+farlongsignal@users.noreply.github.com>
+yangyun50 <149988609+yangyun50@users.noreply.github.com>
+bigbrotherwei <1965867461@qq.com>
+Caian Benedicto <2220062+Caian@users.noreply.github.com>
+desertwitch <24509509+desertwitch@users.noreply.github.com>
+SteveYang <40466358+SteveY4ng@users.noreply.github.com>
+FredyVia <942513309@qq.com>
+legezywzh <94814730+legezywzh@users.noreply.github.com>
+CismonX <admin@cismon.net>
+amitgeron <amit.geron@gmail.com>
+Bernd Schubert <bernd@bsbernd.com>
+Daniel Rosenberg <drosen@google.com>
+Horst Birthelmer <hbirthelmer@ddn.com>
+Joanne Koong <joannelkoong@gmail.com>
+Josef Bacik <josef@toxicpanda.com>
+Matthew <matthew@matthew-cash.com>
+gandalfs_cat <meow@kittcat.dev>
+MJ Harvey <mharvey@jumptrading.com>
+Nils <nils@nilsand.re>
+Norman Wilson <norman@teach.cs.toronto.edu>
+leipeng <peng@topling.cn>
+Vladimir Serbinenko <phcoder@gmail.com>
+George Hilliard <thirtythreeforty@gmail.com>
+Tyler Hall <tylerwhall@gmail.com>
+yangyun <yangyun50@huawei.com>
+Abhishek <abhi_45645@yahoo.com>
--- /dev/null
+#!/bin/bash
+
+# Check if a starting tag is provided
+if [ $# -eq 0 ]; then
+ echo "Usage: $0 <starting_tag>"
+ echo "Example: $0 fuse-3.16.2"
+ exit 1
+fi
+
+START_TAG=$1
+
+# Extract email addresses from git log
+git_emails=$(git log ${START_TAG}..HEAD --format='<%aE>' | sort -u | sed 's/^<//;s/>$//')
+
+# Extract email addresses from AUTHORS file
+authors_emails=$(grep -oP '(?<=<)[^>]+' AUTHORS | sort -u)
+
+# Find new email addresses (in git_emails but not in authors_emails)
+# -1 suppresses lines unique to AUTHORS, -3 suppresses lines common to both
+# Result: only lines unique to git_emails (i.e., new authors)
+new_emails=$(comm -1 -3 <(echo "$authors_emails") <(echo "$git_emails"))
+
+# If there are new email addresses, add corresponding authors to the AUTHORS file
+if [ -n "$new_emails" ]; then
+ echo -e "\nNew authors to be added:"
+ echo -e "\n# New authors since ${START_TAG}" >> AUTHORS
+ for email in $new_emails; do
+ author=$(git log -1 --format='%aN <%aE>' --author="$email")
+ echo "$author"
+ echo "$author" >> AUTHORS
+ done
+ echo "AUTHORS file has been updated."
+else
+ echo "No new authors found since ${START_TAG}."
+fi
* Create signing key for the next release: `P=fuse-<A.B+1> signify-openbsd -G -n -p signify/$P.pub -s
signify/$P.sec; git add signify/$P.pub`
* Expire old release signing keys (keep one around just in case)
-* Update authors: `git log --all --pretty="format:%an <%aE>" | sort -u >> AUTHORS`
+* To update authors run : dev-docs/extend-authors.sh
* `git commit --all -m "Released $TAG"`
* `git tag $TAG`
* Build tarball, `./make_release_tarball.sh`